# NAME

Trf_CreateOptions - Interface to procedures to create a container holding option values.

# SYNOPSIS

    #include <transform.h>

    Trf_Options Trf_CreateOptions(ClientData clientData);

# PARAMETERS

ClientData clientData
  Arbitrary information, as defined in Trf_TypeDefinition.clientData.

# DESCRIPTION

It is the responsibility of the procedure to create and initialize a container to hold option values. An opaque handle to the new container has to be returned.

# SEE ALSO

Trf_Init , Trf_SafeInit , Trf_IsInitialized , Trf_DeleteOptions , Trf_CheckOptions , Trf_SetOption , Trf_SetObjOption , Trf_QueryOptions , Trf_SeekQueryOptions , Trf_WriteProc , Trf_CreateCtrlBlock , Trf_DeleteCtrlBlock , Trf_TransformCharacter , Trf_TransformBuffer , Trf_FlushTransformation , Trf_ClearCtrlBlock , Trf_QueryMaxRead , Trf_Register , Trf_ConverterOptions , Trf_MDStart , Trf_MDUpdate , Trf_MDUpdateBuf , Trf_MDFinal , Trf_MDCheck , Trf_RegisterMessageDigest , Trf_LoadLibrary , Trf_XorBuffer , Trf_ShiftRegister , Trf_FlipRegisterShort , Trf_FlipRegisterLong , Trf_InitStubs